org.apache.tamaya.integration.osgi

## Class TamayaConfigurationImpl

- java.lang.Object
- - org.apache.tamaya.integration.osgi.TamayaConfigurationImpl

- All Implemented Interfaces:
    org.osgi.service.cm.Configuration

      public class TamayaConfigurationImpl
      extends Object
      implements org.osgi.service.cm.Configuration

  Tamaya based implementation of an OSGI `Configuration`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TamayaConfigurationImpl(String confPid, String factoryPid, OSGIConfigRootMapper configRootMapper, org.osgi.service.cm.ConfigurationAdmin parent)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `String` | `getBundleLocation()`
    `long` | `getChangeCount()`
    `String` | `getFactoryPid()`
    `String` | `getPid()`
    `Dictionary<String,Object>` | `getProperties()`
    `void` | `setBundleLocation(String location)`
    `void` | `update()`
    `void` | `update(Dictionary<String,?> properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.osgi.service.cm.Configuration

      `equals, hashCode`

- - ### Constructor Detail

    - #### TamayaConfigurationImpl

          public TamayaConfigurationImpl(String confPid,
                                 String factoryPid,
                                 OSGIConfigRootMapper configRootMapper,
                                 org.osgi.service.cm.ConfigurationAdmin parent)

      Constructor.
      Parameters:
        `confPid` - the OSGI pid
        `factoryPid` - the factory pid
        `configRootMapper` - the mapper that maps the pids to a tamaya root section.
        `parent` - the (optional delegating parent, used as default).

  - ### Method Detail

    - #### getPid

          public String getPid()

      Specified by:
        `getPid` in interface `org.osgi.service.cm.Configuration`

    - #### getProperties

          public Dictionary<String,Object> getProperties()

      Specified by:
        `getProperties` in interface `org.osgi.service.cm.Configuration`

    - #### update

          public void update(Dictionary<String,?> properties)
                      throws IOException

      Specified by:
        `update` in interface `org.osgi.service.cm.Configuration`
      Throws:
        `IOException`

    - #### delete

          public void delete()
                      throws IOException

      Specified by:
        `delete` in interface `org.osgi.service.cm.Configuration`
      Throws:
        `IOException`

    - #### getFactoryPid

          public String getFactoryPid()

      Specified by:
        `getFactoryPid` in interface `org.osgi.service.cm.Configuration`

    - #### update

          public void update()
                      throws IOException

      Specified by:
        `update` in interface `org.osgi.service.cm.Configuration`
      Throws:
        `IOException`

    - #### setBundleLocation

          public void setBundleLocation(String location)

      Specified by:
        `setBundleLocation` in interface `org.osgi.service.cm.Configuration`

    - #### getBundleLocation

          public String getBundleLocation()

      Specified by:
        `getBundleLocation` in interface `org.osgi.service.cm.Configuration`

    - #### getChangeCount

          public long getChangeCount()

      Specified by:
        `getChangeCount` in interface `org.osgi.service.cm.Configuration`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.